curl --request GET \
--url https://api.shoppex.io/dev/v1/coupons \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"uniqid": "<string>",
"shop_id": "<string>",
"type": "PERCENTAGE",
"code": "<string>",
"discount": 123,
"used": 123,
"max_uses": 123,
"min_order_amount": 123,
"max_discount": 123,
"valid_from": 123,
"valid_until": 123,
"is_active": true,
"created_at": 123,
"updated_at": 123,
"products_bound": [
"<string>"
],
"products_count": 123
}
],
"pagination": {
"next_cursor": "<string>",
"has_more": true
}
}curl --request GET \
--url https://api.shoppex.io/dev/v1/coupons \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"uniqid": "<string>",
"shop_id": "<string>",
"type": "PERCENTAGE",
"code": "<string>",
"discount": 123,
"used": 123,
"max_uses": 123,
"min_order_amount": 123,
"max_discount": 123,
"valid_from": 123,
"valid_until": 123,
"is_active": true,
"created_at": 123,
"updated_at": 123,
"products_bound": [
"<string>"
],
"products_count": 123
}
],
"pagination": {
"next_cursor": "<string>",
"has_more": true
}
}Use your API key with the Bearer scheme. Get your key from Dashboard → Settings → API Keys. Format: Authorization: Bearer shx_...